Summary: Intel PRO/Wireless 3945ABG/BG microcode
Name: iwlwifi-3945-ucode
Epoch: 1
Version: 15.32.2.9
Release: %mkrel 7
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-%{version}.tgz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildArch: noarch

%description
The file iwlwifi-3945-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG/BG Network
Connection Adapter driver for Linux (iwl3945) to be able to operate
on your system.

%prep
%setup -q


%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1:15.32.2.9-7.mga5
+ Revision: 747113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:15.32.2.9-6.mga5.nonfree
+ Revision: 680593
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1:15.32.2.9-5.mga4.nonfree
+ Revision: 548406
- Mageia 4 rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:15.32.2.9-4.mga3.nonfree
+ Revision: 354603
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 22 2012 tmb <tmb> 1:15.32.2.9-3.mga2.nonfree
+ Revision: 232445
- drop API 1 firmware as nothing uses it anymore

* Sat Jan 15 2011 tmb <tmb> 1:15.32.2.9-2.mga1
+ Revision: 19497
- imported package iwlwifi-3945-ucode


* Sat Jan 15 2011 Thomas Backlund <tmb@mageia.org> 1:15.32.2.9-2.mga1
- initial Mageia import

* Thu May 28 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:15.32.2.9-1mdv2010.0
+ Revision: 380683
- Updated to version 15.32.2.9

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:15.28.2.8-2mdv2009.1
+ Revision: 342125
- Ship README of both ucode versions provided.

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:15.28.2.8-1mdv2009.1
+ Revision: 342055
- Updated to version 15.28.2.8
- Still provide old firmware with ucode_api=1 for compatibility with
  older kernels (updated to version 15.28.1.8).

* Tue Oct 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1:15.28.1.6-1mdv2009.1
+ Revision: 293758
- new firmware version 15.28.1.6 with "... many updates from the uCode used
  by the Windows driver over the past year ..."

* Thu Aug 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.14.1.5-1mdv2009.0
+ Revision: 274473
- Remove old 2.14.4 firmware from the package. Today there should be no
  users of it, since 2008.1 all kernels only use the '-1' ucode version
  (also 2008.0 kernel, but some contrib kernel or external 'old' iwlwifi
  build could still use the old firmware); there is still a possibility
  that there is someone running old kernels with an iwlwifi that
  requires this old firmware in 2008.1 or cooker, but this is unlinkely
  and unsupported. And with this also we can cleanup and fix the package
  to report/use the right version now.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.14.4-3mdv2009.0
+ Revision: 241594
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.14.4-2mdv2008.0
+ Revision: 68006
- Added additional firmware needed by iwlwifi development drivers and
  current mandriva kernel.

* Tue Jul 03 2007 Olivier Blin <oblin@mandriva.com> 2.14.4-1mdv2008.0
+ Revision: 47520
- initial iwlwifi-3945-ucode package
- Create iwlwifi-3945-ucode

